Description

ubuntu 16.04 and 18.04 NO_PUBKEY error during ansible plugin installation

sudo foreman-installer --enable-foreman-plugin-ansible --enable-foreman-proxy-plugin-ansible

 Provides the following error message during the apt installation of ansible-runner and does not install ansible-runner because of

missing public key.

Ubuntu 16.04:

Err:8 https://releases.ansible.com/ansible-runner/deb xenial InRelease

The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY D430849D3DD29021

Ubuntu 18.04:

Err:9 https://releases.ansible.com/ansible-runner/deb bionic InRelease

The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D430849D3DD29021

Workaround:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys D430849D3DD29021

Related issues:

Related to Installer - Bug #31430: Installer can't install the Ansible plugin... Closed

History

#1 - 03/16/2020 09:09 PM - Dirk Metzger

See also

https://community.theforeman.org/t/foreman-ansible-plugin-installation-failed-with-unmet-dependencies/17799

#2 - 12/02/2020 05:25 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #31430: Installer can't install the Ansible plugin on Debian/Ubuntu added

#3 - 06/29/2022 05:22 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Resolved

We have since packaged ansible-runner in our own repositories so this is no longer an issue.

Powered by TCPDF (www.tcpdf.org)

05/11/2024 1/1

https://releases.ansible.com/ansible-runner/deb
https://releases.ansible.com/ansible-runner/deb
https://community.theforeman.org/t/foreman-ansible-plugin-installation-failed-with-unmet-dependencies/17799
http://www.tcpdf.org

